commit:     29d348ab6b3552954688908e9740d71e37f92e17
Author:     Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 30 06:56:21 2017 +0000
Commit:     Andreas Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Sun Jul 30 07:26:53 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=29d348ab

x11-themes/gtk-chtheme: EAPI bump, bug 605728

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 x11-themes/gtk-chtheme/gtk-chtheme-0.3.1-r3.ebuild | 39 ++++++++++++++++++++++
 1 file changed, 39 insertions(+)

diff --git a/x11-themes/gtk-chtheme/gtk-chtheme-0.3.1-r3.ebuild 
b/x11-themes/gtk-chtheme/gtk-chtheme-0.3.1-r3.ebuild
new file mode 100644
index 00000000000..2adbbc6017e
--- /dev/null
+++ b/x11-themes/gtk-chtheme/gtk-chtheme-0.3.1-r3.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit eutils toolchain-funcs
+
+DESCRIPTION="GTK-2.0 Theme Switcher"
+HOMEPAGE="http://plasmasturm.org/programs/gtk-chtheme/";
+SRC_URI="http://plasmasturm.org/programs/gtk-chtheme/${P}.tar.bz2";
+
+IUSE=""
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux 
~x86-macos"
+LICENSE="GPL-2"
+
+RDEPEND="x11-libs/gtk+:2"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig"
+
+PATCHES=(
+       "${FILESDIR}"/${P}-implicit.patch
+       "${FILESDIR}/${P}-asneeded.patch"  # Fix forced as-needed, bug #248655
+       "${FILESDIR}/${P}-qgtkstyle.patch" # Make it work with qgtkstyle, bug 
#250504
+)
+
+src_prepare() {
+       # QA: stop Makefile from stripping the binaries
+       sed -i -e "s:strip:true:" "${S}"/Makefile || die "sed failed"
+
+       default
+}
+
+src_compile() {
+       emake CC="$(tc-getCC)"
+}
+
+src_install() {
+       emake DESTDIR="${ED}" install
+}

Reply via email to